<?php
include_once '../php/config.php';
include_once '../header.php';


$sql = mysql_query("select * from productos where   CONCAT(descripcion, '',codigo) LIKE '%". $_POST['txt_buscar']."%' order by id_producto desc") or die(mysql_error());




?>


<h2 style="background:yellow">Buscar productos</h2>
<form action="" method="POST">
    <table border="0" >
        <td>Buscar</td>
          <td><input type="text" placeholder="Buscar por nombre o Codigo.." name="txt_buscar" autofocus></td>
           <td><button name="btn_buscar"> Buscar</button></td>
    </table>
</form>

<?php
 while($r = mysql_fetch_array($sql)){
     $id = $r["id_producto"];
     echo "<a id='$id' href='#'  Onclick='get(this.id)'>".$r["descripcion"]."</a><br>";
 }

?>


<script>
function get(id){
            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;
                    opener.document.getElementById('id').value = id_producto;
					  opener.document.getElementById('codigo').value = rs.data[i].codigo;
					  opener.document.getElementById('nombre').value = rs.data[i].descripcion;
					 opener.document.getElementById('costo').value = rs.data[i].costo;
					 opener.document.getElementById('precio1').value = rs.data[i].precio;
					 opener.document.getElementById('precio2').value = rs.data[i].precio2;
					 opener.document.getElementById('precio3').value = rs.data[i].precio3;
					 opener.document.getElementById('precio4').value = rs.data[i].precio4;
					opener.document.getElementById('cantidad').value = rs.data[i].stock;
					opener.document.getElementById('cant_minima').value = rs.data[i].cantidad_minima;
					
					opener.get(rs.data[i].codigo)
					self.close()
					
					
                  }

            })
        }

</script>